# List Streaming Endpoints

get ` https://app.mk.io/api/v1/projects/:project_name/media/streamingEndpoints`

## Listing, Sorting and Filtering Streaming Endpoints

This endpoint returns the list of streaming endpoints in the specified project.

### Sorting

The results from this endpoint can be ordered using the `$orderby` query parameter. Specify a list of field names, separated by commas where each one can optionally specify `asc` or `desc`.

Sorting is valid on the following fields: `created`, `createdBy`, `id`, `name`, `properties/created`, `properties/description`, `properties/lastModified`, `properties/resourceState`, `properties/scaleUnits`, `updated`, `updatedBy`

### Filtering

The `$filter` query parameter allows for streaming endpoints to be filtered on the basis of fields in the schema using OData query syntax. See [this document](https://learn.microsoft.com/en-us/odata/concepts/queryoptions-overview#filter) for more details on the syntax used.

Filters are valid on the following fields: `created`, `createdBy`, `createdByEmail`, `createdByName`, `id`, `name`, `properties/created`, `properties/description`, `properties/lastModified`, `properties/resourceState`, `properties/scaleUnits`, `updated`, `updatedBy`, `updatedByEmail`, `updatedByName`

### Examples:

`?$top=10` \- Returns only the first 10 streaming endpoints from the list.

`?$orderby=name desc` \- Sorts streaming endpoints by name in descending order.

`?$filter=name eq 'descriptive name'` \- Returns streaming endpoints that match the provided name.

`?$orderby=created desc` \- Sorts streaming endpoints by creation date in descending order.

`?$filter=created ge 2021-01-01T00:00:00Z` \- Returns streaming endpoints created after January 1, 2021.

`?$filter=properties/resourceState eq 'Running'` \- Returns streaming endpoints in the Running state.

RBAC Capability Required: `ams.streamingendpoint.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

project_name string Required

## Query parameters

$orderby string Optional

Specifies the key by which the result collection should be ordered.

$filter string Optional

Restricts the set of items returned.

$top string Optional

Specifies a non-negative integer `n` that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value `n`.

$skiptoken string Optional

Specifies a start offset to support paginated results. Use `@odata.nextLink` in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

## Response

200 A list of Streaming Endpoints.

@odata.nextLink string Optional

@odata.nextLink URL if the page length and number of items match.

supplemental object [ListResponseSupplementalSchema](https://docs.mediakind.com/api-reference/media-api/schemas/listresponsesupplementalschema) Required

Supplemental info

count integer Required

Number of items returned

kind string Required

Type of items in the list

operation string Required

Operation type. Should always say 'list'

pagination object [PaginationInfoSchema](https://docs.mediakind.com/api-reference/media-api/schemas/paginationinfoschema) Required

Pagination info

end integer Required

Position of the last item in the list

records integer Required

Total number of items returned in the list

start integer Required

Position of the first item in the list

total integer Required

Total number of items in the project

subscription object [ProjectInfoSchema](https://docs.mediakind.com/api-reference/media-api/schemas/projectinfoschema) Optional

Project info

id string Required

Project ID

name string Required

Project name

value list of objects [StreamingEndpointSchema](https://docs.mediakind.com/api-reference/media-api/schemas/streamingendpointschema) Required

A list of streaming endpoints

location string Required

The name of the location in which the streaming endpoint is located. This field must match the location in which the user's subscription is provisioned.

name string Optional 1-64 characters pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*$

The name of the resource

properties object [StreamingEndpointProperties](https://docs.mediakind.com/api-reference/media-api/schemas/streamingendpointproperties) Required

The properties of the streaming endpoint.

error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

codestring Required

the error code.

detail string Required

the error message.

extraDetail map from strings to any Optional

Extra information regarding this error.
